Subject: bug#44172: 28.0.50; Exporting image data

From: Stefan Kangas <[email-masked]>
Date: Sun, 31 Oct 2021 08:04:40 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> There's been some discussion off-list about adding simple image
> manipulation functions to Emacs, and there's really only three
> transforms that are in scope for Emacs: Cropping, rotating and resizing.

I think we should have a special `image-edit-mode' to support this.  We
could have a keybinding to go to between that mode and `image-mode' (say
`C-x C-q').

In the short-term, I think `image-mode' should stop pretending it can
edit images by making `image-save' into an obsolete alias for
`write-file'.